- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP6PrefixDataPacket Class Referenceabstract

`#include <WP6PrefixDataPacket.h>`

Inheritance diagram for WP6PrefixDataPacket:

## Public Member Functions
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual void | parse (WP6Listener *) const
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Static Public Member Functions
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)

## Protected Member Functions
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Private Attributes
unsigned | m_dataSize

## Constructor & Destructor Documentation

WP6PrefixDataPacket::WP6PrefixDataPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

virtual WP6PrefixDataPacket::~WP6PrefixDataPacket | ( |  | ) |
| inline virtual

## Member Function Documentation

void WP6PrefixDataPacket::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |
| protected

Referenced by WP6CommentAnnotationPacket::WP6CommentAnnotationPacket(), WP6DefaultInitialFontPacket::WP6DefaultInitialFontPacket(), WP6ExtendedDocumentSummaryPacket::WP6ExtendedDocumentSummaryPacket(), WP6FillStylePacket::WP6FillStylePacket(), WP6FontDescriptorPacket::WP6FontDescriptorPacket(), WP6GeneralTextPacket::WP6GeneralTextPacket(), WP6GraphicsBoxStylePacket::WP6GraphicsBoxStylePacket(), WP6GraphicsCachedFileDataPacket::WP6GraphicsCachedFileDataPacket(), WP6GraphicsFilenamePacket::WP6GraphicsFilenamePacket(), WP6OutlineStylePacket::WP6OutlineStylePacket(), and WP6TableStylePacket::WP6TableStylePacket().

virtual void WP6PrefixDataPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected pure virtual

Implemented in WP6FillStylePacket, WP6GeneralTextPacket, WP6ExtendedDocumentSummaryPacket, WP6FontDescriptorPacket, WP6GraphicsBoxStylePacket, WP6GraphicsFilenamePacket, WP6GraphicsCachedFileDataPacket, WP6OutlineStylePacket, WP6CommentAnnotationPacket, WP6TableStylePacket, and WP6DefaultInitialFontPacket.

Referenced by _read().

WP6PrefixDataPacket * WP6PrefixDataPacket::constructPrefixDataPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP6PrefixIndice * | prefixIndice
| ) |  |
| static

Referenced by WP6PrefixData::WP6PrefixData().

unsigned WP6PrefixDataPacket::getDataSize | ( |  | ) | const
| inline

Referenced by WP6GraphicsCachedFileDataPacket::_readContents(), and WP6GeneralTextPacket::_readContents().

virtual WP6SubDocument* WP6PrefixDataPacket::getSubDocument | ( |  | ) | const
| inline virtual

Reimplemented in WP6GeneralTextPacket.

virtual void WP6PrefixDataPacket::parse | ( | WP6Listener * |  | ) | const
| inline virtual

Reimplemented in WP6DefaultInitialFontPacket, WP6FillStylePacket, WP6GeneralTextPacket, WP6ExtendedDocumentSummaryPacket, WP6GraphicsBoxStylePacket, WP6GraphicsFilenamePacket, WP6GraphicsCachedFileDataPacket, WP6OutlineStylePacket, WP6CommentAnnotationPacket, and WP6TableStylePacket.

## Member Data Documentation

unsigned WP6PrefixDataPacket::m_dataSize
| private

Referenced by _read(), and getDataSize().

The documentation for this class was generated from the following files:

- WP6PrefixDataPacket.h
- WP6PrefixDataPacket.cpp